Last Comment Bug 695565 - Firefox should be able to load in a different language than the device's language
: Firefox should be able to load in a different language than the device's lang...
Status: RESOLVED WONTFIX
[QA+]
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: ARM Android
: P5 normal with 4 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-18 16:50 PDT by Sriram Ramasubramanian [:sriram]
Modified: 2016-07-29 14:20 PDT (History)
11 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Sriram Ramasubramanian [:sriram] 2011-10-18 16:50:31 PDT
Firefox should be able to load in a different locale. This support is available in XUL based Fennec. This can be achieved in native UI as well.
http://stackoverflow.com/questions/2264874/android-changing-locale-within-the-app-itself
It is better to have it in preference that would change the application's locale only when the user needs it. The locale is stored with the application and not with the system. Hence this can be achieved in native UI easily.
Comment 1 chris hofmann 2011-12-14 08:45:29 PST
the way I understand things this might be solved by the way that we are doing [Bug 698425] need single locale builds for native UI mobile release.

this is more like a P3 or P2 if we want to grow the user base outside the US.
Comment 2 chris hofmann 2011-12-14 08:48:39 PST
There is also a disconnect with this being a P5 and it being a featured bug on the Mobile Test Drivers frequent e-mail updates
Comment 3 Axel Hecht [:Pike] 2011-12-14 09:02:36 PST
I thought we decided that this is WONTFIX, for startup perf reasons. The single-locale builds are giving users the option to run a localization that's different than their phone's, but it doesn't support live switching.

See also bug 701068, which talks about the perf impact.

What I'm unclear about is which of the API calls there are how costly.
Comment 4 guillaume.goessel 2012-01-02 02:25:10 PST
Sometimes it's fully loadded (my phone is in french)
Most of the time only "aurora home" name in the awesome bar is translate
But about:firefox is OK
(I'm using fennec aurora 11.0a2 01-01-2012 build)
Comment 5 chris hofmann 2012-03-14 11:39:34 PDT
I would say that we have achieved the basic request on this one.  I'm running my phone in english and have download and installed aurora native fennec in Spanish.    I can do any locale switching, but I can run beta or final in english.
Comment 6 rvkononenko 2013-07-07 11:13:56 PDT
How is this resolved? I cannot switch the language (i.e. for armv6 builds I'm forced into English, and there is not way to get a Ukrainian build)
Comment 7 Aaron Train [:aaronmt] 2013-07-07 11:55:37 PDT
There is no Ukranian locale shipping in any current ARMv6 build nor ARMv7 build. You filed bug 890723 for that locale.
Comment 8 rvkononenko 2013-07-08 03:46:00 PDT
There is a Ukrainian locale for ARMv7, it's just not a part of the multi-built but is rather a separate single language apk-built.

My point was that there is still no option to select another language in Fennec multi-built (even in ARMv7) if your Android language is not one of the ones present in the multi built. So, for instance, I am not able to select German or Polish locale even in the ARMv7/ARMv6 multi-builts when my Android language is set to Ukrainian.
Comment 9 Axel Hecht [:Pike] 2013-07-08 04:10:14 PDT
Right, the resolution of this bug doesn't match the status quo. It is indeed WONTFIX, see also comment 3.

Changing the resolution to WONTFIX accordingly.

Note You need to log in before you can comment on or make changes to this bug.